/[CvsGraph]/cvsgraph/configure
ViewVC logotype

Annotate of /cvsgraph/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.1 - (show annotations)
Fri Feb 23 00:11:30 2001 UTC (16 years, 8 months ago) by bertho
Branch: MAIN
Start to use autoconf. This makes detecting old/new libgd easier.
Also a bit more portable.
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --with-gd=DIR location of the gd lib/inc"
16 ac_help="$ac_help
17 --with-z=DIR location of zlib lib/inc"
18 ac_help="$ac_help
19 --with-png=DIR location of png lib/inc"
20
21 # Initialize some variables set by options.
22 # The variables have the same names as the options, with
23 # dashes changed to underlines.
24 build=NONE
25 cache_file=./config.cache
26 exec_prefix=NONE
27 host=NONE
28 no_create=
29 nonopt=NONE
30 no_recursion=
31 prefix=NONE
32 program_prefix=NONE
33 program_suffix=NONE
34 program_transform_name=s,x,x,
35 silent=
36 site=
37 srcdir=
38 target=NONE
39 verbose=
40 x_includes=NONE
41 x_libraries=NONE
42 bindir='${exec_prefix}/bin'
43 sbindir='${exec_prefix}/sbin'
44 libexecdir='${exec_prefix}/libexec'
45 datadir='${prefix}/share'
46 sysconfdir='${prefix}/etc'
47 sharedstatedir='${prefix}/com'
48 localstatedir='${prefix}/var'
49 libdir='${exec_prefix}/lib'
50 includedir='${prefix}/include'
51 oldincludedir='/usr/include'
52 infodir='${prefix}/info'
53 mandir='${prefix}/man'
54
55 # Initialize some other variables.
56 subdirs=
57 MFLAGS= MAKEFLAGS=
58 SHELL=${CONFIG_SHELL-/bin/sh}
59 # Maximum number of lines to put in a shell here document.
60 ac_max_here_lines=12
61
62 ac_prev=
63 for ac_option
64 do
65
66 # If the previous option needs an argument, assign it.
67 if test -n "$ac_prev"; then
68 eval "$ac_prev=\$ac_option"
69 ac_prev=
70 continue
71 fi
72
73 case "$ac_option" in
74 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
75 *) ac_optarg= ;;
76 esac
77
78 # Accept the important Cygnus configure options, so we can diagnose typos.
79
80 case "$ac_option" in
81
82 -bindir | --bindir | --bindi | --bind | --bin | --bi)
83 ac_prev=bindir ;;
84 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
85 bindir="$ac_optarg" ;;
86
87 -build | --build | --buil | --bui | --bu)
88 ac_prev=build ;;
89 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
90 build="$ac_optarg" ;;
91
92 -cache-file | --cache-file | --cache-fil | --cache-fi \
93 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
94 ac_prev=cache_file ;;
95 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
96 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
97 cache_file="$ac_optarg" ;;
98
99 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
100 ac_prev=datadir ;;
101 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
102 | --da=*)
103 datadir="$ac_optarg" ;;
104
105 -disable-* | --disable-*)
106 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
107 # Reject names that are not valid shell variable names.
108 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
109 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
110 fi
111 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
112 eval "enable_${ac_feature}=no" ;;
113
114 -enable-* | --enable-*)
115 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
116 # Reject names that are not valid shell variable names.
117 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
118 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
119 fi
120 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
121 case "$ac_option" in
122 *=*) ;;
123 *) ac_optarg=yes ;;
124 esac
125 eval "enable_${ac_feature}='$ac_optarg'" ;;
126
127 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
128 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
129 | --exec | --exe | --ex)
130 ac_prev=exec_prefix ;;
131 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
132 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
133 | --exec=* | --exe=* | --ex=*)
134 exec_prefix="$ac_optarg" ;;
135
136 -gas | --gas | --ga | --g)
137 # Obsolete; use --with-gas.
138 with_gas=yes ;;
139
140 -help | --help | --hel | --he)
141 # Omit some internal or obsolete options to make the list less imposing.
142 # This message is too long to be a string in the A/UX 3.1 sh.
143 cat << EOF
144 Usage: configure [options] [host]
145 Options: [defaults in brackets after descriptions]
146 Configuration:
147 --cache-file=FILE cache test results in FILE
148 --help print this message
149 --no-create do not create output files
150 --quiet, --silent do not print \`checking...' messages
151 --version print the version of autoconf that created configure
152 Directory and file names:
153 --prefix=PREFIX install architecture-independent files in PREFIX
154 [$ac_default_prefix]
155 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
156 [same as prefix]
157 --bindir=DIR user executables in DIR [EPREFIX/bin]
158 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
159 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
160 --datadir=DIR read-only architecture-independent data in DIR
161 [PREFIX/share]
162 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
163 --sharedstatedir=DIR modifiable architecture-independent data in DIR
164 [PREFIX/com]
165 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
166 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
167 --includedir=DIR C header files in DIR [PREFIX/include]
168 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
169 --infodir=DIR info documentation in DIR [PREFIX/info]
170 --mandir=DIR man documentation in DIR [PREFIX/man]
171 --srcdir=DIR find the sources in DIR [configure dir or ..]
172 --program-prefix=PREFIX prepend PREFIX to installed program names
173 --program-suffix=SUFFIX append SUFFIX to installed program names
174 --program-transform-name=PROGRAM
175 run sed PROGRAM on installed program names
176 EOF
177 cat << EOF
178 Host type:
179 --build=BUILD configure for building on BUILD [BUILD=HOST]
180 --host=HOST configure for HOST [guessed]
181 --target=TARGET configure for TARGET [TARGET=HOST]
182 Features and packages:
183 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
184 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
185 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
186 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
187 --x-includes=DIR X include files are in DIR
188 --x-libraries=DIR X library files are in DIR
189 EOF
190 if test -n "$ac_help"; then
191 echo "--enable and --with options recognized:$ac_help"
192 fi
193 exit 0 ;;
194
195 -host | --host | --hos | --ho)
196 ac_prev=host ;;
197 -host=* | --host=* | --hos=* | --ho=*)
198 host="$ac_optarg" ;;
199
200 -includedir | --includedir | --includedi | --included | --include \
201 | --includ | --inclu | --incl | --inc)
202 ac_prev=includedir ;;
203 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
204 | --includ=* | --inclu=* | --incl=* | --inc=*)
205 includedir="$ac_optarg" ;;
206
207 -infodir | --infodir | --infodi | --infod | --info | --inf)
208 ac_prev=infodir ;;
209 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
210 infodir="$ac_optarg" ;;
211
212 -libdir | --libdir | --libdi | --libd)
213 ac_prev=libdir ;;
214 -libdir=* | --libdir=* | --libdi=* | --libd=*)
215 libdir="$ac_optarg" ;;
216
217 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
218 | --libexe | --libex | --libe)
219 ac_prev=libexecdir ;;
220 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
221 | --libexe=* | --libex=* | --libe=*)
222 libexecdir="$ac_optarg" ;;
223
224 -localstatedir | --localstatedir | --localstatedi | --localstated \
225 | --localstate | --localstat | --localsta | --localst \
226 | --locals | --local | --loca | --loc | --lo)
227 ac_prev=localstatedir ;;
228 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
229 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
230 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
231 localstatedir="$ac_optarg" ;;
232
233 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
234 ac_prev=mandir ;;
235 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
236 mandir="$ac_optarg" ;;
237
238 -nfp | --nfp | --nf)
239 # Obsolete; use --without-fp.
240 with_fp=no ;;
241
242 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
243 | --no-cr | --no-c)
244 no_create=yes ;;
245
246 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
247 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
248 no_recursion=yes ;;
249
250 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
251 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
252 | --oldin | --oldi | --old | --ol | --o)
253 ac_prev=oldincludedir ;;
254 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
255 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
256 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
257 oldincludedir="$ac_optarg" ;;
258
259 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
260 ac_prev=prefix ;;
261 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
262 prefix="$ac_optarg" ;;
263
264 -program-prefix | --program-prefix | --program-prefi | --program-pref \
265 | --program-pre | --program-pr | --program-p)
266 ac_prev=program_prefix ;;
267 -program-prefix=* | --program-prefix=* | --program-prefi=* \
268 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
269 program_prefix="$ac_optarg" ;;
270
271 -program-suffix | --program-suffix | --program-suffi | --program-suff \
272 | --program-suf | --program-su | --program-s)
273 ac_prev=program_suffix ;;
274 -program-suffix=* | --program-suffix=* | --program-suffi=* \
275 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
276 program_suffix="$ac_optarg" ;;
277
278 -program-transform-name | --program-transform-name \
279 | --program-transform-nam | --program-transform-na \
280 | --program-transform-n | --program-transform- \
281 | --program-transform | --program-transfor \
282 | --program-transfo | --program-transf \
283 | --program-trans | --program-tran \
284 | --progr-tra | --program-tr | --program-t)
285 ac_prev=program_transform_name ;;
286 -program-transform-name=* | --program-transform-name=* \
287 | --program-transform-nam=* | --program-transform-na=* \
288 | --program-transform-n=* | --program-transform-=* \
289 | --program-transform=* | --program-transfor=* \
290 | --program-transfo=* | --program-transf=* \
291 | --program-trans=* | --program-tran=* \
292 | --progr-tra=* | --program-tr=* | --program-t=*)
293 program_transform_name="$ac_optarg" ;;
294
295 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
296 | -silent | --silent | --silen | --sile | --sil)
297 silent=yes ;;
298
299 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
300 ac_prev=sbindir ;;
301 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
302 | --sbi=* | --sb=*)
303 sbindir="$ac_optarg" ;;
304
305 -sharedstatedir | --sharedstatedir | --sharedstatedi \
306 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
307 | --sharedst | --shareds | --shared | --share | --shar \
308 | --sha | --sh)
309 ac_prev=sharedstatedir ;;
310 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
311 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
312 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
313 | --sha=* | --sh=*)
314 sharedstatedir="$ac_optarg" ;;
315
316 -site | --site | --sit)
317 ac_prev=site ;;
318 -site=* | --site=* | --sit=*)
319 site="$ac_optarg" ;;
320
321 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
322 ac_prev=srcdir ;;
323 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
324 srcdir="$ac_optarg" ;;
325
326 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
327 | --syscon | --sysco | --sysc | --sys | --sy)
328 ac_prev=sysconfdir ;;
329 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
330 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
331 sysconfdir="$ac_optarg" ;;
332
333 -target | --target | --targe | --targ | --tar | --ta | --t)
334 ac_prev=target ;;
335 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
336 target="$ac_optarg" ;;
337
338 -v | -verbose | --verbose | --verbos | --verbo | --verb)
339 verbose=yes ;;
340
341 -version | --version | --versio | --versi | --vers)
342 echo "configure generated by autoconf version 2.13"
343 exit 0 ;;
344
345 -with-* | --with-*)
346 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
347 # Reject names that are not valid shell variable names.
348 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
349 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
350 fi
351 ac_package=`echo $ac_package| sed 's/-/_/g'`
352 case "$ac_option" in
353 *=*) ;;
354 *) ac_optarg=yes ;;
355 esac
356 eval "with_${ac_package}='$ac_optarg'" ;;
357
358 -without-* | --without-*)
359 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
360 # Reject names that are not valid shell variable names.
361 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
362 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
363 fi
364 ac_package=`echo $ac_package| sed 's/-/_/g'`
365 eval "with_${ac_package}=no" ;;
366
367 --x)
368 # Obsolete; use --with-x.
369 with_x=yes ;;
370
371 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
372 | --x-incl | --x-inc | --x-in | --x-i)
373 ac_prev=x_includes ;;
374 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
375 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
376 x_includes="$ac_optarg" ;;
377
378 -x-libraries | --x-libraries | --x-librarie | --x-librari \
379 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
380 ac_prev=x_libraries ;;
381 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
382 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
383 x_libraries="$ac_optarg" ;;
384
385 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
386 ;;
387
388 *)
389 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
390 echo "configure: warning: $ac_option: invalid host type" 1>&2
391 fi
392 if test "x$nonopt" != xNONE; then
393 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
394 fi
395 nonopt="$ac_option"
396 ;;
397
398 esac
399 done
400
401 if test -n "$ac_prev"; then
402 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
403 fi
404
405 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
406
407 # File descriptor usage:
408 # 0 standard input
409 # 1 file creation
410 # 2 errors and warnings
411 # 3 some systems may open it to /dev/tty
412 # 4 used on the Kubota Titan
413 # 6 checking for... messages and results
414 # 5 compiler messages saved in config.log
415 if test "$silent" = yes; then
416 exec 6>/dev/null
417 else
418 exec 6>&1
419 fi
420 exec 5>./config.log
421
422 echo "\
423 This file contains any messages produced by compilers while
424 running configure, to aid debugging if configure makes a mistake.
425 " 1>&5
426
427 # Strip out --no-create and --no-recursion so they do not pile up.
428 # Also quote any args containing shell metacharacters.
429 ac_configure_args=
430 for ac_arg
431 do
432 case "$ac_arg" in
433 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
434 | --no-cr | --no-c) ;;
435 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
436 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
437 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
438 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
439 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
440 esac
441 done
442
443 # NLS nuisances.
444 # Only set these to C if already set. These must not be set unconditionally
445 # because not all systems understand e.g. LANG=C (notably SCO).
446 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
447 # Non-C LC_CTYPE values break the ctype check.
448 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
449 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
450 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
451 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
452
453 # confdefs.h avoids OS command line length limits that DEFS can exceed.
454 rm -rf conftest* confdefs.h
455 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
456 echo > confdefs.h
457
458 # A filename unique to this package, relative to the directory that
459 # configure is in, which we can look for to find out if srcdir is correct.
460 ac_unique_file=cvsgraph.c
461
462 # Find the source files, if location was not specified.
463 if test -z "$srcdir"; then
464 ac_srcdir_defaulted=yes
465 # Try the directory containing this script, then its parent.
466 ac_prog=$0
467 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
468 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
469 srcdir=$ac_confdir
470 if test ! -r $srcdir/$ac_unique_file; then
471 srcdir=..
472 fi
473 else
474 ac_srcdir_defaulted=no
475 fi
476 if test ! -r $srcdir/$ac_unique_file; then
477 if test "$ac_srcdir_defaulted" = yes; then
478 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
479 else
480 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
481 fi
482 fi
483 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
484
485 # Prefer explicitly selected file to automatically selected ones.
486 if test -z "$CONFIG_SITE"; then
487 if test "x$prefix" != xNONE; then
488 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
489 else
490 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
491 fi
492 fi
493 for ac_site_file in $CONFIG_SITE; do
494 if test -r "$ac_site_file"; then
495 echo "loading site script $ac_site_file"
496 . "$ac_site_file"
497 fi
498 done
499
500 if test -r "$cache_file"; then
501 echo "loading cache $cache_file"
502 . $cache_file
503 else
504 echo "creating cache $cache_file"
505 > $cache_file
506 fi
507
508 ac_ext=c
509 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
510 ac_cpp='$CPP $CPPFLAGS'
511 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
512 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
513 cross_compiling=$ac_cv_prog_cc_cross
514
515 ac_exeext=
516 ac_objext=o
517 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
518 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
519 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
520 ac_n= ac_c='
521 ' ac_t=' '
522 else
523 ac_n=-n ac_c= ac_t=
524 fi
525 else
526 ac_n= ac_c='\c' ac_t=
527 fi
528
529
530
531 # Extract the first word of "gcc", so it can be a program name with args.
532 set dummy gcc; ac_word=$2
533 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
534 echo "configure:535: checking for $ac_word" >&5
535 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
536 echo $ac_n "(cached) $ac_c" 1>&6
537 else
538 if test -n "$CC"; then
539 ac_cv_prog_CC="$CC" # Let the user override the test.
540 else
541 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
542 ac_dummy="$PATH"
543 for ac_dir in $ac_dummy; do
544 test -z "$ac_dir" && ac_dir=.
545 if test -f $ac_dir/$ac_word; then
546 ac_cv_prog_CC="gcc"
547 break
548 fi
549 done
550 IFS="$ac_save_ifs"
551 fi
552 fi
553 CC="$ac_cv_prog_CC"
554 if test -n "$CC"; then
555 echo "$ac_t""$CC" 1>&6
556 else
557 echo "$ac_t""no" 1>&6
558 fi
559
560 if test -z "$CC"; then
561 # Extract the first word of "cc", so it can be a program name with args.
562 set dummy cc; ac_word=$2
563 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
564 echo "configure:565: checking for $ac_word" >&5
565 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
566 echo $ac_n "(cached) $ac_c" 1>&6
567 else
568 if test -n "$CC"; then
569 ac_cv_prog_CC="$CC" # Let the user override the test.
570 else
571 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
572 ac_prog_rejected=no
573 ac_dummy="$PATH"
574 for ac_dir in $ac_dummy; do
575 test -z "$ac_dir" && ac_dir=.
576 if test -f $ac_dir/$ac_word; then
577 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
578 ac_prog_rejected=yes
579 continue
580 fi
581 ac_cv_prog_CC="cc"
582 break
583 fi
584 done
585 IFS="$ac_save_ifs"
586 if test $ac_prog_rejected = yes; then
587 # We found a bogon in the path, so make sure we never use it.
588 set dummy $ac_cv_prog_CC
589 shift
590 if test $# -gt 0; then
591 # We chose a different compiler from the bogus one.
592 # However, it has the same basename, so the bogon will be chosen
593 # first if we set CC to just the basename; use the full file name.
594 shift
595 set dummy "$ac_dir/$ac_word" "$@"
596 shift
597 ac_cv_prog_CC="$@"
598 fi
599 fi
600 fi
601 fi
602 CC="$ac_cv_prog_CC"
603 if test -n "$CC"; then
604 echo "$ac_t""$CC" 1>&6
605 else
606 echo "$ac_t""no" 1>&6
607 fi
608
609 if test -z "$CC"; then
610 case "`uname -s`" in
611 *win32* | *WIN32*)
612 # Extract the first word of "cl", so it can be a program name with args.
613 set dummy cl; ac_word=$2
614 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
615 echo "configure:616: checking for $ac_word" >&5
616 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
617 echo $ac_n "(cached) $ac_c" 1>&6
618 else
619 if test -n "$CC"; then
620 ac_cv_prog_CC="$CC" # Let the user override the test.
621 else
622 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
623 ac_dummy="$PATH"
624 for ac_dir in $ac_dummy; do
625 test -z "$ac_dir" && ac_dir=.
626 if test -f $ac_dir/$ac_word; then
627 ac_cv_prog_CC="cl"
628 break
629 fi
630 done
631 IFS="$ac_save_ifs"
632 fi
633 fi
634 CC="$ac_cv_prog_CC"
635 if test -n "$CC"; then
636 echo "$ac_t""$CC" 1>&6
637 else
638 echo "$ac_t""no" 1>&6
639 fi
640 ;;
641 esac
642 fi
643 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
644 fi
645
646 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
647 echo "configure:648: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
648
649 ac_ext=c
650 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
651 ac_cpp='$CPP $CPPFLAGS'
652 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
653 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
654 cross_compiling=$ac_cv_prog_cc_cross
655
656 cat > conftest.$ac_ext << EOF
657
658 #line 659 "configure"
659 #include "confdefs.h"
660
661 main(){return(0);}
662 EOF
663 if { (eval echo configure:664: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
664 ac_cv_prog_cc_works=yes
665 # If we can't run a trivial program, we are probably using a cross compiler.
666 if (./conftest; exit) 2>/dev/null; then
667 ac_cv_prog_cc_cross=no
668 else
669 ac_cv_prog_cc_cross=yes
670 fi
671 else
672 echo "configure: failed program was:" >&5
673 cat conftest.$ac_ext >&5
674 ac_cv_prog_cc_works=no
675 fi
676 rm -fr conftest*
677 ac_ext=c
678 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
679 ac_cpp='$CPP $CPPFLAGS'
680 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
681 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
682 cross_compiling=$ac_cv_prog_cc_cross
683
684 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
685 if test $ac_cv_prog_cc_works = no; then
686 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
687 fi
688 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
689 echo "configure:690: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
690 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
691 cross_compiling=$ac_cv_prog_cc_cross
692
693 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
694 echo "configure:695: checking whether we are using GNU C" >&5
695 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
696 echo $ac_n "(cached) $ac_c" 1>&6
697 else
698 cat > conftest.c <<EOF
699 #ifdef __GNUC__
700 yes;
701 #endif
702 EOF
703 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:704: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
704 ac_cv_prog_gcc=yes
705 else
706 ac_cv_prog_gcc=no
707 fi
708 fi
709
710 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
711
712 if test $ac_cv_prog_gcc = yes; then
713 GCC=yes
714 else
715 GCC=
716 fi
717
718 ac_test_CFLAGS="${CFLAGS+set}"
719 ac_save_CFLAGS="$CFLAGS"
720 CFLAGS=
721 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
722 echo "configure:723: checking whether ${CC-cc} accepts -g" >&5
723 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
724 echo $ac_n "(cached) $ac_c" 1>&6
725 else
726 echo 'void f(){}' > conftest.c
727 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
728 ac_cv_prog_cc_g=yes
729 else
730 ac_cv_prog_cc_g=no
731 fi
732 rm -f conftest*
733
734 fi
735
736 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
737 if test "$ac_test_CFLAGS" = set; then
738 CFLAGS="$ac_save_CFLAGS"
739 elif test $ac_cv_prog_cc_g = yes; then
740 if test "$GCC" = yes; then
741 CFLAGS="-g -O2"
742 else
743 CFLAGS="-g"
744 fi
745 else
746 if test "$GCC" = yes; then
747 CFLAGS="-O2"
748 else
749 CFLAGS=
750 fi
751 fi
752
753 # Extract the first word of "flex", so it can be a program name with args.
754 set dummy flex; ac_word=$2
755 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
756 echo "configure:757: checking for $ac_word" >&5
757 if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
758 echo $ac_n "(cached) $ac_c" 1>&6
759 else
760 if test -n "$LEX"; then
761 ac_cv_prog_LEX="$LEX" # Let the user override the test.
762 else
763 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
764 ac_dummy="$PATH"
765 for ac_dir in $ac_dummy; do
766 test -z "$ac_dir" && ac_dir=.
767 if test -f $ac_dir/$ac_word; then
768 ac_cv_prog_LEX="flex"
769 break
770 fi
771 done
772 IFS="$ac_save_ifs"
773 test -z "$ac_cv_prog_LEX" && ac_cv_prog_LEX="lex"
774 fi
775 fi
776 LEX="$ac_cv_prog_LEX"
777 if test -n "$LEX"; then
778 echo "$ac_t""$LEX" 1>&6
779 else
780 echo "$ac_t""no" 1>&6
781 fi
782
783 if test -z "$LEXLIB"
784 then
785 case "$LEX" in
786 flex*) ac_lib=fl ;;
787 *) ac_lib=l ;;
788 esac
789 echo $ac_n "checking for yywrap in -l$ac_lib""... $ac_c" 1>&6
790 echo "configure:791: checking for yywrap in -l$ac_lib" >&5
791 ac_lib_var=`echo $ac_lib'_'yywrap | sed 'y%./+-%__p_%'`
792 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
793 echo $ac_n "(cached) $ac_c" 1>&6
794 else
795 ac_save_LIBS="$LIBS"
796 LIBS="-l$ac_lib $LIBS"
797 cat > conftest.$ac_ext <<EOF
798 #line 799 "configure"
799 #include "confdefs.h"
800 /* Override any gcc2 internal prototype to avoid an error. */
801 /* We use char because int might match the return type of a gcc2
802 builtin and then its argument prototype would still apply. */
803 char yywrap();
804
805 int main() {
806 yywrap()
807 ; return 0; }
808 EOF
809 if { (eval echo configure:810: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
810 rm -rf conftest*
811 eval "ac_cv_lib_$ac_lib_var=yes"
812 else
813 echo "configure: failed program was:" >&5
814 cat conftest.$ac_ext >&5
815 rm -rf conftest*
816 eval "ac_cv_lib_$ac_lib_var=no"
817 fi
818 rm -f conftest*
819 LIBS="$ac_save_LIBS"
820
821 fi
822 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
823 echo "$ac_t""yes" 1>&6
824 LEXLIB="-l$ac_lib"
825 else
826 echo "$ac_t""no" 1>&6
827 fi
828
829 fi
830
831 for ac_prog in 'bison -y' byacc
832 do
833 # Extract the first word of "$ac_prog", so it can be a program name with args.
834 set dummy $ac_prog; ac_word=$2
835 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
836 echo "configure:837: checking for $ac_word" >&5
837 if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
838 echo $ac_n "(cached) $ac_c" 1>&6
839 else
840 if test -n "$YACC"; then
841 ac_cv_prog_YACC="$YACC" # Let the user override the test.
842 else
843 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
844 ac_dummy="$PATH"
845 for ac_dir in $ac_dummy; do
846 test -z "$ac_dir" && ac_dir=.
847 if test -f $ac_dir/$ac_word; then
848 ac_cv_prog_YACC="$ac_prog"
849 break
850 fi
851 done
852 IFS="$ac_save_ifs"
853 fi
854 fi
855 YACC="$ac_cv_prog_YACC"
856 if test -n "$YACC"; then
857 echo "$ac_t""$YACC" 1>&6
858 else
859 echo "$ac_t""no" 1>&6
860 fi
861
862 test -n "$YACC" && break
863 done
864 test -n "$YACC" || YACC="yacc"
865
866
867 # Check whether --with-gd or --without-gd was given.
868 if test "${with_gd+set}" = set; then
869 withval="$with_gd"
870 LDFLAGS="${LDFLAGS} -L${withval}"
871 CFLAGS="${CFLAGS} -I${withval}"
872
873 fi
874
875
876 # Check whether --with-z or --without-z was given.
877 if test "${with_z+set}" = set; then
878 withval="$with_z"
879 LDFLAGS="${LDFLAGS} -L${withval}"
880 CFLAGS="${CFLAGS} -I${withval}"
881
882 fi
883
884
885 # Check whether --with-png or --without-png was given.
886 if test "${with_png+set}" = set; then
887 withval="$with_png"
888 LDFLAGS="${LDFLAGS} -L${withval}"
889 CFLAGS="${CFLAGS} -I${withval}"
890
891 fi
892
893
894 LDFLAGS="${LDFLAGS} -lgd"
895
896
897 if test "x${GCC}" = "xyes"
898 then
899 CFLAGS="$CFLAGS -Wall"
900 echo $ac_n "checking "for gcc strength-reduce bug"""... $ac_c" 1>&6
901 echo "configure:902: checking "for gcc strength-reduce bug"" >&5
902 if eval "test \"`echo '$''{'ac_cv_c_gcc_strength_bug'+set}'`\" = set"; then
903 echo $ac_n "(cached) $ac_c" 1>&6
904 else
905 if test "$cross_compiling" = yes; then
906 ac_cv_c_gcc_strength_bug="yes"
907 else
908 cat > conftest.$ac_ext <<EOF
909 #line 910 "configure"
910 #include "confdefs.h"
911
912 int main(void) {
913 static int Array[3];
914 unsigned int B = 3;
915 int i;
916 for(i=0; i<B; i++) Array[i] = i - 3;
917 exit( Array[1] != -2 );
918 }
919 EOF
920 if { (eval echo configure:921: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
921 then
922 ac_cv_c_gcc_strength_bug="no"
923 else
924 echo "configure: failed program was:" >&5
925 cat conftest.$ac_ext >&5
926 rm -fr conftest*
927 ac_cv_c_gcc_strength_bug="yes"
928 fi
929 rm -fr conftest*
930 fi
931
932 fi
933
934 echo "$ac_t""$ac_cv_c_gcc_strength_bug" 1>&6
935 if test "$ac_cv_c_gcc_strength_bug" = "yes"
936 then
937 CFLAGS="$CFLAGS -fno-strength-reduce"
938 fi
939 fi
940
941
942 echo $ac_n "checking for sqrt in -lm""... $ac_c" 1>&6
943 echo "configure:944: checking for sqrt in -lm" >&5
944 ac_lib_var=`echo m'_'sqrt | sed 'y%./+-%__p_%'`
945 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
946 echo $ac_n "(cached) $ac_c" 1>&6
947 else
948 ac_save_LIBS="$LIBS"
949 LIBS="-lm $LIBS"
950 cat > conftest.$ac_ext <<EOF
951 #line 952 "configure"
952 #include "confdefs.h"
953 /* Override any gcc2 internal prototype to avoid an error. */
954 /* We use char because int might match the return type of a gcc2
955 builtin and then its argument prototype would still apply. */
956 char sqrt();
957
958 int main() {
959 sqrt()
960 ; return 0; }
961 EOF
962 if { (eval echo configure:963: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
963 rm -rf conftest*
964 eval "ac_cv_lib_$ac_lib_var=yes"
965 else
966 echo "configure: failed program was:" >&5
967 cat conftest.$ac_ext >&5
968 rm -rf conftest*
969 eval "ac_cv_lib_$ac_lib_var=no"
970 fi
971 rm -f conftest*
972 LIBS="$ac_save_LIBS"
973
974 fi
975 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
976 echo "$ac_t""yes" 1>&6
977
978 cat >> confdefs.h <<\EOF
979 #define LIBM 1
980 EOF
981
982 MATHLIBS="-lm"
983 else
984 echo "$ac_t""no" 1>&6
985 fi
986
987
988 echo $ac_n "checking for gdImageGif in -lgd""... $ac_c" 1>&6
989 echo "configure:990: checking for gdImageGif in -lgd" >&5
990 ac_lib_var=`echo gd'_'gdImageGif | sed 'y%./+-%__p_%'`
991 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
992 echo $ac_n "(cached) $ac_c" 1>&6
993 else
994 ac_save_LIBS="$LIBS"
995 LIBS="-lgd $LIBS"
996 cat > conftest.$ac_ext <<EOF
997 #line 998 "configure"
998 #include "confdefs.h"
999 /* Override any gcc2 internal prototype to avoid an error. */
1000 /* We use char because int might match the return type of a gcc2
1001 builtin and then its argument prototype would still apply. */
1002 char gdImageGif();
1003
1004 int main() {
1005 gdImageGif()
1006 ; return 0; }
1007 EOF
1008 if { (eval echo configure:1009: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1009 rm -rf conftest*
1010 eval "ac_cv_lib_$ac_lib_var=yes"
1011 else
1012 echo "configure: failed program was:" >&5
1013 cat conftest.$ac_ext >&5
1014 rm -rf conftest*
1015 eval "ac_cv_lib_$ac_lib_var=no"
1016 fi
1017 rm -f conftest*
1018 LIBS="$ac_save_LIBS"
1019
1020 fi
1021 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1022 echo "$ac_t""yes" 1>&6
1023
1024 CFLAGS="$CFLAGS -DGD_IMAGE_XXX=gdImageGif"
1025
1026 else
1027 echo "$ac_t""no" 1>&6
1028 fi
1029
1030 echo $ac_n "checking for gdImagePng in -lgd""... $ac_c" 1>&6
1031 echo "configure:1032: checking for gdImagePng in -lgd" >&5
1032 ac_lib_var=`echo gd'_'gdImagePng | sed 'y%./+-%__p_%'`
1033 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1034 echo $ac_n "(cached) $ac_c" 1>&6
1035 else
1036 ac_save_LIBS="$LIBS"
1037 LIBS="-lgd -lpng -lz ${MATHLIBS} $LIBS"
1038 cat > conftest.$ac_ext <<EOF
1039 #line 1040 "configure"
1040 #include "confdefs.h"
1041 /* Override any gcc2 internal prototype to avoid an error. */
1042 /* We use char because int might match the return type of a gcc2
1043 builtin and then its argument prototype would still apply. */
1044 char gdImagePng();
1045
1046 int main() {
1047 gdImagePng()
1048 ; return 0; }
1049 EOF
1050 if { (eval echo configure:1051: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1051 rm -rf conftest*
1052 eval "ac_cv_lib_$ac_lib_var=yes"
1053 else
1054 echo "configure: failed program was:" >&5
1055 cat conftest.$ac_ext >&5
1056 rm -rf conftest*
1057 eval "ac_cv_lib_$ac_lib_var=no"
1058 fi
1059 rm -f conftest*
1060 LIBS="$ac_save_LIBS"
1061
1062 fi
1063 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1064 echo "$ac_t""yes" 1>&6
1065
1066 CFLAGS="$CFLAGS -DGD_IMAGE_XXX=gdImagePng"
1067 LDFLAGS="$LDFLAGS -lpng -lz ${MATHLIBS}"
1068
1069 else
1070 echo "$ac_t""no" 1>&6
1071 :
1072 fi
1073
1074
1075
1076 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1077 echo "configure:1078: checking how to run the C preprocessor" >&5
1078 # On Suns, sometimes $CPP names a directory.
1079 if test -n "$CPP" && test -d "$CPP"; then
1080 CPP=
1081 fi
1082 if test -z "$CPP"; then
1083 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1084 echo $ac_n "(cached) $ac_c" 1>&6
1085 else
1086 # This must be in double quotes, not single quotes, because CPP may get
1087 # substituted into the Makefile and "${CC-cc}" will confuse make.
1088 CPP="${CC-cc} -E"
1089 # On the NeXT, cc -E runs the code through the compiler's parser,
1090 # not just through cpp.
1091 cat > conftest.$ac_ext <<EOF
1092 #line 1093 "configure"
1093 #include "confdefs.h"
1094 #include <assert.h>
1095 Syntax Error
1096 EOF
1097 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1098 { (eval echo configure:1099: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1099 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1100 if test -z "$ac_err"; then
1101 :
1102 else
1103 echo "$ac_err" >&5
1104 echo "configure: failed program was:" >&5
1105 cat conftest.$ac_ext >&5
1106 rm -rf conftest*
1107 CPP="${CC-cc} -E -traditional-cpp"
1108 cat > conftest.$ac_ext <<EOF
1109 #line 1110 "configure"
1110 #include "confdefs.h"
1111 #include <assert.h>
1112 Syntax Error
1113 EOF
1114 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1115 { (eval echo configure:1116: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1116 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1117 if test -z "$ac_err"; then
1118 :
1119 else
1120 echo "$ac_err" >&5
1121 echo "configure: failed program was:" >&5
1122 cat conftest.$ac_ext >&5
1123 rm -rf conftest*
1124 CPP="${CC-cc} -nologo -E"
1125 cat > conftest.$ac_ext <<EOF
1126 #line 1127 "configure"
1127 #include "confdefs.h"
1128 #include <assert.h>
1129 Syntax Error
1130 EOF
1131 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1132 { (eval echo configure:1133: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1133 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1134 if test -z "$ac_err"; then
1135 :
1136 else
1137 echo "$ac_err" >&5
1138 echo "configure: failed program was:" >&5
1139 cat conftest.$ac_ext >&5
1140 rm -rf conftest*
1141 CPP=/lib/cpp
1142 fi
1143 rm -f conftest*
1144 fi
1145 rm -f conftest*
1146 fi
1147 rm -f conftest*
1148 ac_cv_prog_CPP="$CPP"
1149 fi
1150 CPP="$ac_cv_prog_CPP"
1151 else
1152 ac_cv_prog_CPP="$CPP"
1153 fi
1154 echo "$ac_t""$CPP" 1>&6
1155
1156 ac_safe=`echo "gd.h" | sed 'y%./+-%__p_%'`
1157 echo $ac_n "checking for gd.h""... $ac_c" 1>&6
1158 echo "configure:1159: checking for gd.h" >&5
1159 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1160 echo $ac_n "(cached) $ac_c" 1>&6
1161 else
1162 cat > conftest.$ac_ext <<EOF
1163 #line 1164 "configure"
1164 #include "confdefs.h"
1165 #include <gd.h>
1166 EOF
1167 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1168 { (eval echo configure:1169: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1169 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1170 if test -z "$ac_err"; then
1171 rm -rf conftest*
1172 eval "ac_cv_header_$ac_safe=yes"
1173 else
1174 echo "$ac_err" >&5
1175 echo "configure: failed program was:" >&5
1176 cat conftest.$ac_ext >&5
1177 rm -rf conftest*
1178 eval "ac_cv_header_$ac_safe=no"
1179 fi
1180 rm -f conftest*
1181 fi
1182 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1183 echo "$ac_t""yes" 1>&6
1184 have_gd_h="yes"
1185 else
1186 echo "$ac_t""no" 1>&6
1187 have_gd_h="no"
1188 fi
1189
1190
1191 if test $have_gd_h != "yes"; then
1192 echo
1193 echo "** The GD library is required for CvsGraph to function."
1194 echo " Get it from http://www.boutell.com, compile it and"
1195 echo " use either --with-gd-lib=DIR and --with-gd-inc=DIR to specify"
1196 echo " its location. You might also have to use --with-z-inc, --with-z-lib"
1197 echo " and --with-png-inc, --with-png-lib for gd versions 1.6 and higher."
1198 echo " Check config.log for more information on the problem. If your system"
1199 echo " has libgd installed, you probably mis the gd.h header file."
1200 exit 1
1201 fi
1202
1203
1204 trap '' 1 2 15
1205 cat > confcache <<\EOF
1206 # This file is a shell script that caches the results of configure
1207 # tests run on this system so they can be shared between configure
1208 # scripts and configure runs. It is not useful on other systems.
1209 # If it contains results you don't want to keep, you may remove or edit it.
1210 #
1211 # By default, configure uses ./config.cache as the cache file,
1212 # creating it if it does not exist already. You can give configure
1213 # the --cache-file=FILE option to use a different cache file; that is
1214 # what configure does when it calls configure scripts in
1215 # subdirectories, so they share the cache.
1216 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1217 # config.status only pays attention to the cache file if you give it the
1218 # --recheck option to rerun configure.
1219 #
1220 EOF
1221 # The following way of writing the cache mishandles newlines in values,
1222 # but we know of no workaround that is simple, portable, and efficient.
1223 # So, don't put newlines in cache variables' values.
1224 # Ultrix sh set writes to stderr and can't be redirected directly,
1225 # and sets the high bit in the cache file unless we assign to the vars.
1226 (set) 2>&1 |
1227 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1228 *ac_space=\ *)
1229 # `set' does not quote correctly, so add quotes (double-quote substitution
1230 # turns \\\\ into \\, and sed turns \\ into \).
1231 sed -n \
1232 -e "s/'/'\\\\''/g" \
1233 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1234 ;;
1235 *)
1236 # `set' quotes correctly as required by POSIX, so do not add quotes.
1237 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1238 ;;
1239 esac >> confcache
1240 if cmp -s $cache_file confcache; then
1241 :
1242 else
1243 if test -w $cache_file; then
1244 echo "updating cache $cache_file"
1245 cat confcache > $cache_file
1246 else
1247 echo "not updating unwritable cache $cache_file"
1248 fi
1249 fi
1250 rm -f confcache
1251
1252 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1253
1254 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1255 # Let make expand exec_prefix.
1256 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1257
1258 # Any assignment to VPATH causes Sun make to only execute
1259 # the first set of double-colon rules, so remove it if not needed.
1260 # If there is a colon in the path, we need to keep it.
1261 if test "x$srcdir" = x.; then
1262 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1263 fi
1264
1265 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1266
1267 # Transform confdefs.h into DEFS.
1268 # Protect against shell expansion while executing Makefile rules.
1269 # Protect against Makefile macro expansion.
1270 cat > conftest.defs <<\EOF
1271 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1272 s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1273 s%\[%\\&%g
1274 s%\]%\\&%g
1275 s%\$%$$%g
1276 EOF
1277 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1278 rm -f conftest.defs
1279
1280
1281 # Without the "./", some shells look in PATH for config.status.
1282 : ${CONFIG_STATUS=./config.status}
1283
1284 echo creating $CONFIG_STATUS
1285 rm -f $CONFIG_STATUS
1286 cat > $CONFIG_STATUS <<EOF
1287 #! /bin/sh
1288 # Generated automatically by configure.
1289 # Run this file to recreate the current configuration.
1290 # This directory was configured as follows,
1291 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1292 #
1293 # $0 $ac_configure_args
1294 #
1295 # Compiler output produced by configure, useful for debugging
1296 # configure, is in ./config.log if it exists.
1297
1298 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1299 for ac_option
1300 do
1301 case "\$ac_option" in
1302 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1303 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1304 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1305 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1306 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1307 exit 0 ;;
1308 -help | --help | --hel | --he | --h)
1309 echo "\$ac_cs_usage"; exit 0 ;;
1310 *) echo "\$ac_cs_usage"; exit 1 ;;
1311 esac
1312 done
1313
1314 ac_given_srcdir=$srcdir
1315
1316 trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1317 EOF
1318 cat >> $CONFIG_STATUS <<EOF
1319
1320 # Protect against being on the right side of a sed subst in config.status.
1321 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1322 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1323 $ac_vpsub
1324 $extrasub
1325 s%@SHELL@%$SHELL%g
1326 s%@CFLAGS@%$CFLAGS%g
1327 s%@CPPFLAGS@%$CPPFLAGS%g
1328 s%@CXXFLAGS@%$CXXFLAGS%g
1329 s%@FFLAGS@%$FFLAGS%g
1330 s%@DEFS@%$DEFS%g
1331 s%@LDFLAGS@%$LDFLAGS%g
1332 s%@LIBS@%$LIBS%g
1333 s%@exec_prefix@%$exec_prefix%g
1334 s%@prefix@%$prefix%g
1335 s%@program_transform_name@%$program_transform_name%g
1336 s%@bindir@%$bindir%g
1337 s%@sbindir@%$sbindir%g
1338 s%@libexecdir@%$libexecdir%g
1339 s%@datadir@%$datadir%g
1340 s%@sysconfdir@%$sysconfdir%g
1341 s%@sharedstatedir@%$sharedstatedir%g
1342 s%@localstatedir@%$localstatedir%g
1343 s%@libdir@%$libdir%g
1344 s%@includedir@%$includedir%g
1345 s%@oldincludedir@%$oldincludedir%g
1346 s%@infodir@%$infodir%g
1347 s%@mandir@%$mandir%g
1348 s%@CC@%$CC%g
1349 s%@LEX@%$LEX%g
1350 s%@LEXLIB@%$LEXLIB%g
1351 s%@YACC@%$YACC%g
1352 s%@CPP@%$CPP%g
1353
1354 CEOF
1355 EOF
1356
1357 cat >> $CONFIG_STATUS <<\EOF
1358
1359 # Split the substitutions into bite-sized pieces for seds with
1360 # small command number limits, like on Digital OSF/1 and HP-UX.
1361 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1362 ac_file=1 # Number of current file.
1363 ac_beg=1 # First line for current file.
1364 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1365 ac_more_lines=:
1366 ac_sed_cmds=""
1367 while $ac_more_lines; do
1368 if test $ac_beg -gt 1; then
1369 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1370 else
1371 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1372 fi
1373 if test ! -s conftest.s$ac_file; then
1374 ac_more_lines=false
1375 rm -f conftest.s$ac_file
1376 else
1377 if test -z "$ac_sed_cmds"; then
1378 ac_sed_cmds="sed -f conftest.s$ac_file"
1379 else
1380 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1381 fi
1382 ac_file=`expr $ac_file + 1`
1383 ac_beg=$ac_end
1384 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1385 fi
1386 done
1387 if test -z "$ac_sed_cmds"; then
1388 ac_sed_cmds=cat
1389 fi
1390 EOF
1391
1392 cat >> $CONFIG_STATUS <<EOF
1393
1394 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1395 EOF
1396 cat >> $CONFIG_STATUS <<\EOF
1397 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1398 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1399 case "$ac_file" in
1400 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1401 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1402 *) ac_file_in="${ac_file}.in" ;;
1403 esac
1404
1405 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1406
1407 # Remove last slash and all that follows it. Not all systems have dirname.
1408 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1409 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1410 # The file is in a subdirectory.
1411 test ! -d "$ac_dir" && mkdir "$ac_dir"
1412 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1413 # A "../" for each directory in $ac_dir_suffix.
1414 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1415 else
1416 ac_dir_suffix= ac_dots=
1417 fi
1418
1419 case "$ac_given_srcdir" in
1420 .) srcdir=.
1421 if test -z "$ac_dots"; then top_srcdir=.
1422 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1423 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1424 *) # Relative path.
1425 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1426 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1427 esac
1428
1429
1430 echo creating "$ac_file"
1431 rm -f "$ac_file"
1432 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1433 case "$ac_file" in
1434 *Makefile*) ac_comsub="1i\\
1435 # $configure_input" ;;
1436 *) ac_comsub= ;;
1437 esac
1438
1439 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1440 sed -e "$ac_comsub
1441 s%@configure_input@%$configure_input%g
1442 s%@srcdir@%$srcdir%g
1443 s%@top_srcdir@%$top_srcdir%g
1444 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1445 fi; done
1446 rm -f conftest.s*
1447
1448 EOF
1449 cat >> $CONFIG_STATUS <<EOF
1450
1451 EOF
1452 cat >> $CONFIG_STATUS <<\EOF
1453
1454 exit 0
1455 EOF
1456 chmod +x $CONFIG_STATUS
1457 rm -fr confdefs* $ac_clean_files
1458 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1459
1460
1461 echo "Configure done. Run 'make' to build CvsGraph"
1462

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0